Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04466 Graphics Major Always Aug 22, 2011, 18:45 Jun 13, 2013, 20:37
Tester MacBoxPPC View Status Public Platform SDLMAME
Assigned To galibert Resolution Fixed OS MacOS X
Status [?] Resolved Driver tx1.cpp
Version 0.143u3 Fixed in Version 0.149u1 Build PowerPC
Summary 04466: buggyboy, buggyboyjr, tx1, tx1a: Graphics totally missed, audio start and suddenly stop
Description The game screen opens in the correct size on horizontal/vertical dimensions (including single and 3-screen) but the game graphics never comes up showing only a flat colored background. Audio seems to start but only noise and crackles comes out.
Steps To Reproduce Launch any of the games of tx1.c set on SDLMAME build for OSX PPC
Additional Information
Flags
Regression Version
Affected Sets / Systems buggyboy, buggyboyjr, tx1, tx1a
Attached Files
png file icon 0139ppc_bugboyjr.png (134,075 bytes) Aug 23, 2011, 22:38 Uploaded by MacBoxPPC
MacBoxPPC
png file icon 0139ppc_tx-1.png (32,942 bytes) Aug 23, 2011, 22:39 Uploaded by MacBoxPPC
MacBoxPPC
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.07719
Haze
Senior Tester
Aug 22, 2011, 18:55
this will definitely be PPC specific, endian issue no doubt.
User avatar
No.07721
Tafoid
Administrator
Aug 22, 2011, 23:14
Original Poster,
Is this build by you or did you download a distribution binary, such as http://sdlmame.parodius.com/ ?
Have previous versions of SDLMAME for your platform done this and can you point to a time where it worked on that platform for sure?
User avatar
No.07723
Sune_S
Senior Tester
Aug 23, 2011, 04:26
edited on: Aug 23, 2011, 15:27
I don't have ROMs for tx1a but the three other games mentioned in the report work fine for me on 10.6.8/Intel. 64-bit MAME .143u3 compiled with XCode 3.2.6.
User avatar
No.07724
MacBoxPPC
Tester
Aug 23, 2011, 05:26
edited on: Aug 23, 2011, 09:54
Since the Parodius site does not more hold updated Universal Binaries but only the Intel version I am forced to compile SDLMAME from myself. The actual machine where I compile and test MAME is a PowerMac G5 DualCore 2.3 GHz with 10.5.8 and the building tools are Xcode 3.1.4 and the latest SDL library version 1.2.14. I will try as soon as possible to re-compile older versions of (SDL)MAME to find where the issue start to occour.
User avatar
No.07728
R. Belmont
Developer
Aug 23, 2011, 20:19
I can confirm that it's broken on latest (problem appears to be the 8086 core, amusingly). Would be useful to know if it worked back before all the big recent changes.
User avatar
No.07729
MacBoxPPC
Tester
Aug 23, 2011, 22:40
Ok, I've downloaded some of the older SDLmame binaries from Parodius site and I can tell that version 0.139 (stable) was the latest where something was showing up but I have not tried the intermediate diff versions to follow, for those a re-compile from source is needed.
I have to specify that my actual romset is in sync with 0.143 release so the 0.139 binary is running that roms.
For TX-1 games they stop on a early diagnostic page where an "Hardware Error Status 17" is reported
For BuggyBoy games they go ahead but the road and car graphics are missed
Two snapshots are attached to show what is happening on 0.139
From 0.140 on, the graphics for both games is totally missing
User avatar
No.09608
AWJ
Developer
Jun 13, 2013, 20:37
Fixed by Olivier in r23666